# typed: strict
module TimestampHelper
  extend T::Sig
  extend T::Helpers
  include HelpersInterface

  sig do
    params(timestamp: T.nilable(ActiveSupport::TimeWithZone)).returns(String)
  end
  def time_ago_or_never(timestamp)
    timestamp ? time_ago_in_words(timestamp) + " ago" : "never"
  end
end
